/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sb Nov  1 18:43:53 BRT 2003
    copyright            : (C) 2003 by Euclides Lourenco Chuma
    email                : euclideschuma@yahoo.com.br
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "klogoturtle.h"

static const char *description =
	I18N_NOOP("KLogo-Turtle");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE


static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "klogoturtle", I18N_NOOP("KLogo-Turtle"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2003, Euclides Lourenco Chuma", 0, 0, "euclideschuma@yahoo.com.br");
	aboutData.addAuthor("Euclides Lourenco Chuma",0, "euclideschuma@yahoo.com.br");
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;

  if (app.isRestored())
  {
    RESTORE(KlogoturtleApp);
  }
  else
  {
    KlogoturtleApp *klogoturtle = new KlogoturtleApp();
    klogoturtle->show();
 }

  return app.exec();
}
